Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

Interesting. Are you able to run the non _64 version?

Can you paste or PM the follwing file

~/.config/unity3d/Vandijkstef/Beans Inc/Player.log

I checked it out and it turned out to be my OpenGL wasn't a new enough version. Tried figuring out how to update it. Nothing really worked. I'm switching to Linuxmint and probably will partition Ubuntu as well. Debian wasn't my favorite anyways. I'm going to delete my posts then so this doesn't clutter in here

you can leave em here, it might help someone else!

Thnx for updating :)